import { getMessageErrorRequired, getMessageErrorNumber, getMessageErrorPositive } from './helpers';

var isValidTotalPages = function isValidTotalPages(props, propName, componentName) {
  var totalPages = props[propName];
  if (!totalPages) return new Error(getMessageErrorRequired({
    propName: propName,
    componentName: componentName
  }));
  if (typeof totalPages !== 'number') return new Error(getMessageErrorNumber({
    propName: propName,
    componentName: componentName
  }));
  if (totalPages <= 0) return new Error(getMessageErrorPositive({
    propName: propName,
    componentName: componentName
  })); // assume all ok

  return null;
};

export default isValidTotalPages;